> For the complete documentation index, see [llms.txt](https://docs.akamas.io/akamas-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.akamas.io/akamas-docs/reference/glossary/optimization-studies.md).

# Optimization Study

An **optimization study** (or **study** for short) represents an optimization initiative aimed at optimizing a goal on a target system. A study instructs Akamas about the space to explore and the KPIs used to evaluate whether a configuration is good or bad

Akamas Studio supports [**Offline Optimization Studies**](/akamas-docs/using/study/offline-optimization-study.md), that is optimization studies where the workload is simulated by leveraging a load-testing tool.

## Construct

A study is described by the following properties

* **system**: the [system](/akamas-docs/reference/glossary/system.md) under optimization
* **parameters**: the set of [parameters](/akamas-docs/reference/glossary/parameter.md) being optimized
* **metrics**: the set of [metrics](/akamas-docs/reference/glossary/metric.md) to be collected
* **workflow**: the [workflow](/akamas-docs/reference/glossary/workflows.md) describing tasks to perform experiments/trials
* **goal**: the desired optimization [goal](/akamas-docs/reference/glossary/goals-and-constraints.md) to be achieved
* **constraints**: the optimization [constraints](/akamas-docs/reference/glossary/goals-and-constraints.md) that any configuration needs to satisfy
* **steps**: the steps that are executed to run specific configurations (e.g. the baseline) and run the optimization

The construct to be used to define an optimization is described on the [Study template](/akamas-docs/reference/construct-templates/study-template.md) page.

## Commands

An optimization study is an [Akamas resource](/akamas-docs/reference/cli-reference.md#clireference-operations) that can be managed via CLI using the [resource management commands.](/akamas-docs/reference/cli-reference/resource-management.md)

## User Interface

The Akamas UI shows optimization studies in the Studies top-level menu.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.akamas.io/akamas-docs/reference/glossary/optimization-studies.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
